# objectKeys

## Description

Given an object of key-value pairs, the `objectKeys` function will return an array of the keys.

## Input / Parameter

| Name   | Description                 | Input Type | Default | Options | Required |
| ------ | --------------------------- | ---------- | ------- | ------- | -------- |
| object | Object with key-value pairs | Object     | -       | -       | Yes      |

## Output

| Description                              | Output Type |
| ---------------------------------------- | ----------- |
| Returns a list of all keys in the object | Array/List  |

## Callback

N/A

## Video

Coming Soon.

## Example

![](/files/WIcQj7yZd6N0YhOv3slq)

Given the above object, `objectKeys` function will return this list:

```JS
["name", "email", "age", "tel"]
```

## Links

* See also `objectValues` and `objectAttr`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/object/objectkeys.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
